Bug 1036214 - [abrt] keepassx-0.4.3-7.fc19: QTreeWidgetItem::executePendingSort: Process /usr/bin/keepassx was killed by signal 11 (SIGSEGV)
Summary: [abrt] keepassx-0.4.3-7.fc19: QTreeWidgetItem::executePendingSort: Process /u...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: keepassx
Version: 19
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Aurelien Bompard
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:90a5c27e3d6e6b4c2f6322c34eb...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-11-29 19:12 UTC by James Boyle
Modified: 2015-02-17 19:27 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-17 19:27:27 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (37.17 KB, text/plain)
2013-11-29 19:12 UTC, James Boyle
no flags Details
File: cgroup (141 bytes, text/plain)
2013-11-29 19:12 UTC, James Boyle
no flags Details
File: core_backtrace (924 bytes, text/plain)
2013-11-29 19:12 UTC, James Boyle
no flags Details
File: dso_list (8.97 KB, text/plain)
2013-11-29 19:12 UTC, James Boyle
no flags Details
File: environ (1.71 KB, text/plain)
2013-11-29 19:12 UTC, James Boyle
no flags Details
File: exploitable (82 bytes, text/plain)
2013-11-29 19:12 UTC, James Boyle
no flags Details
File: limits (1.29 KB, text/plain)
2013-11-29 19:12 UTC, James Boyle
no flags Details
File: maps (48.78 KB, text/plain)
2013-11-29 19:12 UTC, James Boyle
no flags Details
File: open_fds (409 bytes, text/plain)
2013-11-29 19:13 UTC, James Boyle
no flags Details
File: proc_pid_status (955 bytes, text/plain)
2013-11-29 19:13 UTC, James Boyle
no flags Details
File: var_log_messages (325 bytes, text/plain)
2013-11-29 19:13 UTC, James Boyle
no flags Details

Description James Boyle 2013-11-29 19:12:33 UTC
Description of problem:
Added a new group, deleted the backup group, sort the list of groups.

Version-Release number of selected component:
keepassx-0.4.3-7.fc19

Additional info:
reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        keepassx
crash_function: QTreeWidgetItem::executePendingSort
executable:     /usr/bin/keepassx
kernel:         3.11.9-200.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 QTreeWidgetItem::executePendingSort at itemviews/qtreewidget.cpp:2194
 #1 indexOfChild at /usr/include/QtGui/qtreewidget.h:251
 #2 KeepassGroupView::OnSort at lib/GroupView.cpp:523
 #3 KeepassGroupView::qt_static_metacall at ../build/moc/moc_GroupView.cpp:92
 #4 QMetaObject::activate at kernel/qobject.cpp:3547
 #5 QAction::triggered at .moc/release-shared/moc_qaction.cpp:276
 #6 QAction::activate at kernel/qaction.cpp:1257
 #7 QMenuPrivate::activateCausedStack at widgets/qmenu.cpp:1038
 #8 QMenuPrivate::activateAction at widgets/qmenu.cpp:1130
 #9 QWidget::event at kernel/qwidget.cpp:8376

Potential duplicate: bug 714352

Comment 1 James Boyle 2013-11-29 19:12:40 UTC
Created attachment 830745 [details]
File: backtrace

Comment 2 James Boyle 2013-11-29 19:12:42 UTC
Created attachment 830746 [details]
File: cgroup

Comment 3 James Boyle 2013-11-29 19:12:45 UTC
Created attachment 830747 [details]
File: core_backtrace

Comment 4 James Boyle 2013-11-29 19:12:48 UTC
Created attachment 830748 [details]
File: dso_list

Comment 5 James Boyle 2013-11-29 19:12:50 UTC
Created attachment 830749 [details]
File: environ

Comment 6 James Boyle 2013-11-29 19:12:53 UTC
Created attachment 830750 [details]
File: exploitable

Comment 7 James Boyle 2013-11-29 19:12:55 UTC
Created attachment 830751 [details]
File: limits

Comment 8 James Boyle 2013-11-29 19:12:58 UTC
Created attachment 830752 [details]
File: maps

Comment 9 James Boyle 2013-11-29 19:13:01 UTC
Created attachment 830753 [details]
File: open_fds

Comment 10 James Boyle 2013-11-29 19:13:03 UTC
Created attachment 830754 [details]
File: proc_pid_status

Comment 11 James Boyle 2013-11-29 19:13:06 UTC
Created attachment 830755 [details]
File: var_log_messages

Comment 12 Sven Kieske 2014-04-09 07:21:37 UTC
Another user experienced a similar problem:

1. create a new empty database
2. create a new subgroup inside this database
3. delete the new subgroup inside the database
4. click sort groups -> keepassx crashes.
This is exact the same behaviour as in BZ 1036214

reporter:       libreport-2.2.0
backtrace_rating: 4
cmdline:        keepassx
crash_function: QTreeWidgetItem::executePendingSort
executable:     /usr/bin/keepassx
kernel:         3.13.7-100.fc19.x86_64
package:        keepassx-0.4.3-7.fc19
reason:         keepassx killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 13 Sven Kieske 2014-04-09 07:23:56 UTC
Could this maybe get some attention as it is a 5 months old bug
in a security sensitive package?
I'll try to find more crashes in keepassx and report them, but this will
be useless if nobody can fix them..

Comment 14 Fedora End Of Life 2015-01-09 20:43:56 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2015-02-17 19:27:27 UTC
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.